## pulseaudio-dlna 0.5.2

=== Makefile ===
# This file is part of pulseaudio-dlna.

# pulseaudio-dlna is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# pulseaudio-dlna is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with pulseaudio-dlna.  If not, see <http://www.gnu.org/licenses/>.

python ?= python2.7
user ?= $(shell whoami)

all: pulseaudio_dlna.egg-info

venv:
	@echo "venv is deprecated. It is just 'make' now."

pulseaudio_dlna.egg-info: setup.py bin/pip
	bin/pip install --editable . && touch $@
bin/pip:
	virtualenv --system-site-packages -p $(python) .

ifdef DEB_HOST_ARCH
DESTDIR ?= /
PREFIX ?= usr/
install:
	$(python) setup.py install --no-compile --prefix="$(PREFIX)" --root="$(DESTDIR)" --install-layout=deb
else
DESTDIR ?= /
PREFIX ?= /usr/local
install:
	$(python) setup.py install --no-compile --prefix="$(PREFIX)" --root="$(DESTDIR)"
endif

release: manpage
	pdebuild --buildresult dist
	lintian --pedantic dist/*.deb dist/*.dsc dist/*.changes
	sudo chown -R $(user) dist/

manpage: man/pulseaudio-dlna.1

man/pulseaudio-dlna.1: pulseaudio_dlna.egg-info
	export USE_PKG_VERSION=1; help2man -n "Stream audio to DLNA devices and Chromecasts" "bin/pulseaudio-dlna" > /tmp/pulseaudio-dlna.1
	mv /tmp/pulseaudio-dlna.1 man/pulseaudio-dlna.1

clean:
	rm -rf build dist $(shell find pulseaudio_dlna -name "__pycache__")
	rm -rf *.egg-info *.egg bin local lib lib64 include share pyvenv.cfg
	rm -rf docs htmlcov .coverage .tox pip-selfcheck.json

=== debian/changelog ===
pulseaudio-dlna (0.5.2-1) unstable; urgency=medium

  * New upstream release.
  * Prioritize mp3 over flac for Chromecasts.

 -- Muammar El Khatib <muammar@debian.org>  Sat, 02 Apr 2016 11:47:13 +0200

pulseaudio-dlna (0.5.0.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/pulseaudio-dlna.1 file has been removed. The manual now is shipped
    within the main source.

 -- Muammar El Khatib <muammar@debian.org>  Thu, 10 Mar 2016 11:14:19 +0100

pulseaudio-dlna (0.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Muammar El Khatib <muammar@debian.org>  Wed, 09 Mar 2016 21:25:11 +0100

pulseaudio-dlna (0.4.7+git20160306-1) unstable; urgency=medium

  * Updated to the correct latest git upstream's version.
  * debian/control:
    + python-beautifulsoup removed from Depends field.
    + python-zeroconf added as dependency.

 -- Muammar El Khatib <muammar@debian.org>  Sat, 05 Mar 2016 14:42:09 +0100

pulseaudio-dlna (0.4.7+git20160305-1) unstable; urgency=medium

  * Updated to latest git upstream's version.
  * debian/control:
    + Fixed control file description.

 -- Muammar El Khatib <muammar@debian.org>  Sat, 05 Mar 2016 13:01:47 +0100

pulseaudio-dlna (0.4.7+git2016024-3) unstable; urgency=medium

  * README.Debian table has been fixed, and information about dropping
    dependency on flacc was added.
  * debian/control:
    + Dropped dependency on flacc (Closes: #816224).
    + Description has been improved.

 -- Muammar El Khatib <muammar@debian.org>  Mon, 29 Feb 2016 15:15:52 +0100

pulseaudio-dlna (0.4.7+git2016024-2) unstable; urgency=medium

  * debian/rules has been cleaned.
  * A typo has been corrected in the debian/control.

 -- Muammar El Khatib <muammar@debian.org>  Sun, 28 Feb 2016 21:18:43 +0100

pulseaudio-dlna (0.4.7+git2016024-1) unstable; urgency=medium

  * Initial release (Closes: #810241).

 -- Muammar El Khatib <muammar@debian.org>  Thu, 25 Feb 2016 22:37:39 +0100

=== debian/control ===
Source: pulseaudio-dlna
Section: sound
Priority: optional
Maintainer: Muammar El Khatib <muammar@debian.org>
Build-Depends: debhelper (>=9),
               python-all,
               python-pip,
               python-setuptools,
               python-dbus,
               python-virtualenv | virtualenv,
               git-core,
               ca-certificates,
               help2man,
               dh-python,
               quilt
Standards-Version: 3.9.7
Homepage: https://github.com/masmu/pulseaudio-dlna
X-Python-Version: >= 2.6

Package: pulseaudio-dlna
Architecture: all
Depends: python2.7,
         python-dbus (>=1.2.0),
         python-setuptools (>=3.3),
         python-docopt (>=0.6.1),
         python-requests (>=2.2.1),
         python-setproctitle (>=1.0.1),
         python-gobject (>=3.12.0),
         python-protobuf (>=2.5.0),
         python-notify2 (>=0.3),
         python-psutil (>=1.2.1),
         python-concurrent.futures (>=2.1.6),
         python-chardet (>=2.0.1),
         python-netifaces (>=0.8),
         python-lxml (>=3.0),
         python-zeroconf (>=0.17),
         vorbis-tools (>=1.4.0),
         sox (>=14.4.1),
         lame (>=3.99.0),
         flac (>=1.3.0),
         opus-tools (>=0.1.8),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-cairo (>=1.8.8),
          python-rsvg (>=2.32.0),
          python-gtk2 (>=2.24.0),
          ffmpeg (>=2.5.10),
          libav-tools (>=9.18),
Description: Stream audio to DLNA devices and Chromecasts
 A lightweight streaming server which brings DLNA/UPNP and Chromecast support
 to PulseAudio and Linux. It can stream your current PulseAudio playback to
 different UPNP devices (UPNP Media Renderers) or Chromecasts in your network.
 .
 This Debian package supports out of the box the following encoders: MPEG Audio
 Layer III (mp3), Ogg Vorbis (ogg), Free Lossless Audio Codec (flac), Waveform
 Audio File Format (wav), Opus Interactive Audio Codec (opus), Linear PCM
 (l16). See the README.Debian file shipped with this package for more
 information.
 .
 Its main goals are: easy to use, no configuration hassle, no big dependencies.

## pulseaudio-dlna 0.5.3%2Bgit20170406

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                help2man,
                dh-python,
                quilt
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/masmu/pulseaudio-dlna
 X-Python-Version: >= 2.6
 
@@ -25,10 +25,10 @@
          python-docopt (>=0.6.1),
          python-requests (>=2.2.1),
          python-setproctitle (>=1.0.1),
-         python-gobject (>=3.12.0),
          python-protobuf (>=2.5.0),
          python-notify2 (>=0.3),
          python-psutil (>=1.2.1),
+         python-gi,
          python-concurrent.futures (>=2.1.6),
          python-chardet (>=2.0.1),
          python-netifaces (>=0.8),
@@ -39,13 +39,15 @@
          lame (>=3.99.0),
          flac (>=1.3.0),
          opus-tools (>=0.1.8),
+         python-pyroute2,
          ${misc:Depends},
          ${python:Depends}
 Suggests: python-cairo (>=1.8.8),
-          python-rsvg (>=2.32.0),
-          python-gtk2 (>=2.24.0),
           ffmpeg (>=2.5.10),
           libav-tools (>=9.18),
+          python-netaddr,
+          gir1.2-rsvg-2.0,
+          gir1.2-rsvg-3.0
 Description: Stream audio to DLNA devices and Chromecasts
  A lightweight streaming server which brings DLNA/UPNP and Chromecast support
  to PulseAudio and Linux. It can stream your current PulseAudio playback to

## pulseaudio-dlna 0.5.3%2Bgit20200329

=== debian/changelog ===
pulseaudio-dlna (0.5.3+git20200329-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release: The official upstream repository seems to be
    inactive (https://github.com/masmu/pulseaudio-dlna, last commit
    from 2017 at the time of writing this), but there is a fork with
    some recent activity (https://github.com/joecksma/pulseaudio-dlna)
    and, in particular, a port to Python 3. The upstream tarball for
    this release is taken from https://github.com/joecksma/
      pulseaudio-dlna/tarball/823ad4c67e360d6d57543c1889b9d066194f32b5
    (without the whitespace in the URL). The current maintainer of
    this package seems to have made an error in the last release:
    There has never been a 0.5.3 upstream release, at least there is
    no 0.5.3 tag in the official upstream repository. I'm keeping the
    0.5.3 for now, however, because this is only a NMU and I don't
    want to change/break the versioning scheme in an NMU.
    (Closes: #894806, #937339, #890283, #882998)
  * Update dependencies to Python 3 versions.
  * Upgrade to debhelper compat level 12.
  * Upgrade to Standards-Version 4.5.0.
  * Update debian/copyright.
  * Add Vcs-Git and Vcs-Browser fields in debian/control.

 -- Fabian Wolff <fabi.wolff@arcor.de>  Sun, 29 Mar 2020 22:02:05 +0200

pulseaudio-dlna (0.5.3+git20170406-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Removed dependencies: python-gobject, python-rsvg, python-gtk2
      (Closes: #844151).
    - Added dependencies: python-gi, gir1.2-rsvg-2.0, gir1.2-gtk-3.0.
  * Bump Standards-Version to 3.9.8. No changes were needed.

 -- Muammar El Khatib <muammar@debian.org>  Thu, 06 Apr 2017 20:52:42 -0400

## pulseaudio-dlna 0.5.3+git20170406

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1

export PYBUILD_NAME=pulseaudio-dlna

%:
	dh $@  --with python2 --buildsystem=pybuild --with quilt

override_dh_clean:
	dh_clean
	make clean

## pulseaudio-dlna 0.5.3+git20200329

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 # You should have received a copy of the GNU General Public License
 # along with pulseaudio-dlna.  If not, see <http://www.gnu.org/licenses/>.
 
-python ?= python2.7
+python ?= python3
 user ?= $(shell whoami)
 
 all: pulseaudio_dlna.egg-info
@@ -35,7 +35,7 @@
 DESTDIR ?= /
 PREFIX ?= /usr/local
 install:
-	$(python) setup.py install --no-compile --prefix="$(PREFIX)" --root="$(DESTDIR)"
+	$(python) setup.py install --no-compile --prefix="$(PREFIX)"
 endif
 
 release: manpage

=== debian/control ===
Source: pulseaudio-dlna
Section: sound
Priority: optional
Maintainer: Muammar El Khatib <muammar@debian.org>
Build-Depends: debhelper-compat (= 12), dh-python,
               python3, python3-pip, python3-setuptools,
               python3-dbus, python3-docopt, python3-requests,
               python3-setproctitle, python3-gi, python3-notify2,
               python3-psutil, python3-chardet, python3-netifaces,
               python3-pyroute2 | python3-netaddr, python3-lxml,
               python3-pychromecast, python3-distutils,
               vorbis-tools, sox, lame, flac, opus-tools
Standards-Version: 4.5.0
Homepage: https://github.com/masmu/pulseaudio-dlna
Vcs-Git: https://salsa.debian.org/debian/pulseaudio-dlna.git
Vcs-Browser: https://salsa.debian.org/debian/pulseaudio-dlna

Package: pulseaudio-dlna
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
         vorbis-tools, sox, lame, flac, opus-tools,
         python3-distutils
Recommends: python3-cairo, ffmpeg, libav-tools,
            gir1.2-rsvg-2.0, gir1.2-rsvg-3.0
Description: stream audio to DLNA devices and Chromecasts
 A lightweight streaming server which brings DLNA/UPNP and Chromecast support
 to PulseAudio and Linux. It can stream your current PulseAudio playback to
 different UPNP devices (UPNP Media Renderers) or Chromecasts in your network.
 .
 This Debian package supports out of the box the following encoders: MPEG Audio
 Layer III (mp3), Ogg Vorbis (ogg), Free Lossless Audio Codec (flac), Waveform
 Audio File Format (wav), Opus Interactive Audio Codec (opus), Linear PCM
 (l16). See the README.Debian file shipped with this package for more
 information.
 .
 Its main goals are: easy to use, no configuration hassle, no big dependencies.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode
# export DH_VERBOSE = 1

export PYBUILD_NAME=pulseaudio-dlna

%:
	dh $@  --with python3 --buildsystem=pybuild

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pulseaudio-dlna-$1\.tar\.gz/ \
  https://github.com/masmu/pulseaudio-dlna/tags .*/v?(\d\S*)\.tar\.gz

## pulseaudio-dlna 0.6.4.1

=== Makefile ===
--- 
+++ 
@@ -21,9 +21,11 @@
 venv:
 	@echo "venv is deprecated. It is just 'make' now."
 
-pulseaudio_dlna.egg-info: setup.py bin/pip
-	bin/pip install --editable . && touch $@
-bin/pip:
+
+pulseaudio_dlna.egg-info: setup.py bin/pip3
+	bin/pip3 install --editable . && touch $@
+bin/pip3:
+
 	virtualenv --system-site-packages -p $(python) .
 
 ifdef DEB_HOST_ARCH
@@ -45,11 +47,15 @@
 
 manpage: man/pulseaudio-dlna.1
 
+
 man/pulseaudio-dlna.1: pulseaudio_dlna.egg-info
 	export USE_PKG_VERSION=1; help2man -n "Stream audio to DLNA devices and Chromecasts" "bin/pulseaudio-dlna" > /tmp/pulseaudio-dlna.1
 	mv /tmp/pulseaudio-dlna.1 man/pulseaudio-dlna.1
+	gzip -fk man/pulseaudio-dlna.1
+
 
 clean:
 	rm -rf build dist $(shell find pulseaudio_dlna -name "__pycache__")
 	rm -rf *.egg-info *.egg bin local lib lib64 include share pyvenv.cfg
 	rm -rf docs htmlcov .coverage .tox pip-selfcheck.json
+	rm man/pulseaudio-dlna.1.gz

=== debian/changelog ===
pulseaudio-dlna (0.6.4.1-0.1ubuntu1) noble; urgency=medium

  * Drop Dependency on python3-distutils.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 10 Mar 2024 18:38:36 +0100

pulseaudio-dlna (0.6.4.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Merge previous upstream commit from repo:
     https://github.com/joecksma/pulseaudio-dlna
  * Update debian/watch to point to apparent now-active upstream:
     https://github.com/Cygn/pulseaudio-dlna
  * Merge latest Cygn release (closes: #965148, #965251)
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.
  * Include upstream README.md in docs.
  * Rules do not require root.

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 02 May 2022 20:07:34 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Section: sound
 Priority: optional
 Maintainer: Muammar El Khatib <muammar@debian.org>
-Build-Depends: debhelper-compat (= 12), dh-python,
+Build-Depends: debhelper-compat (= 13), dh-python,
                python3, python3-pip, python3-setuptools,
                python3-dbus, python3-docopt, python3-requests,
                python3-setproctitle, python3-gi, python3-notify2,
                python3-psutil, python3-chardet, python3-netifaces,
                python3-pyroute2 | python3-netaddr, python3-lxml,
-               python3-pychromecast, python3-distutils,
+               python3-pychromecast,
                vorbis-tools, sox, lame, flac, opus-tools
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://github.com/masmu/pulseaudio-dlna
 Vcs-Git: https://salsa.debian.org/debian/pulseaudio-dlna.git
 Vcs-Browser: https://salsa.debian.org/debian/pulseaudio-dlna
@@ -19,7 +20,6 @@
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends},
          vorbis-tools, sox, lame, flac, opus-tools,
-         python3-distutils
 Recommends: python3-cairo, ffmpeg, libav-tools,
             gir1.2-rsvg-2.0, gir1.2-rsvg-3.0
 Description: stream audio to DLNA devices and Chromecasts

=== debian/watch ===
version=4
https://github.com/Cygn/@PACKAGE@/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
